@ECHO OFF
ECHO             PC-PROOF HARD DISK INSTALLATION INSTRUCTIONS
ECHO Make a new directory for PC-Proof and switch to it.  Example:
ECHO MKDIR PCPROOF
ECHO CD PCPROOF
ECHO Then type the command A:INSTALL if you are installing from drive A: or
ECHO B:INSTALL B: if you are installing from drive B:.
ECHO You will need 850K bytes free on your hard disk.
ECHO ͻ
ECHO  DID YOU MAKE A SUBDIRECTORY AND MADE IT YOUR DEFAULT? 
ECHO ͼ
ECHO Press Control-C to stop installation.
pause
IF exist PC-PROOF.EXE goto ndrive
IF %1. == . goto NDEFDRV
If not exist %1\nul goto NEEDARG
IF not exist %1PC-PROOF.EXE goto NEEDARG
%1PC-PROOF.EXE /e.
IF not exist pcproof.tut goto ERROR
goto COPYDONE
:NDEFDRV
If not exist a:\nul goto NEEDARG
IF not exist a:PC-PROOF.EXE goto NEEDARG
a:PC-PROOF.EXE /e.
IF not exist pcproof.tut goto ERROR
:COPYDONE
If not errorlevel 0 goto ERROR
more < pcproof.doc
ECHO Installation is complete, type PCPROOF to start the program.
goto done
:ndrive
ECHO You cannot install PC-Proof while your default drive is the same as
ECHO the installation drive.  Please switch to the drive and subdirectory
ECHO you want to install PC-Proof to.
goto fail
:ERROR
echo One or more of the PC-Proof files failed to copy. Check if there is
echo 850K bytes avaliable on your hard disk.  Also check if the drive
echo is not write protected.  Then, restart this installation.
goto fail
:NEEDARG
ECHO The installation disk was not correctly specified.  If you are not
ECHO installing from drive A:, you need to supply the drive letter to
ECHO the INSTALL command.  If you are installing from drive B:, issue the
ECHO command B:INSTALL B: (Make sure to include B: after INSTALL.)
:fail
ECHO   ͻ
echo     PC-Proof has not been installed, please try again. 
ECHO   ͼ
:done

